import 'package:fis_jsonrpc/rpc.dart';

abstract class IQualityControlManager {
  ///新增会诊报告质控
  Future<bool> addConsultationReportQuality({
    required String consultationRecordCode,
    required String reportCode,
    required int qualityTypeKey,
  });

  ///修改会诊报告质控
  Future<bool> modifyConsultationReportQualityAsync({
    required String consultationRecordCode,
    required String reportCode,
    required int qualityTypeKey,
  });

  ///获取质控内容
  String getQualityTitle(QualityType qualityType);

  ///获取质控状态
  String getQualityState(QualifiedState qualityType);

  ///新增分时诊断报告质控
  Future<bool> addRecordReportQuality({
    required String recordCode,
    required String reportCode,
    required String option,
    required List<QualityControlScoreItem> scoreItems,
  });

  ///修改分时诊断报告质控
  Future<bool> modifyRecordReportQuality(
      {required String recordCode,
      required String reportCode,
      required String option,
      required List<QualityControlScoreItem> scoreItems});

  ///新增图像质控
  Future<bool> addRemedicalQuality(
      {required String recordCode,
      required String remedicalCode,
      required String option,
      required List<QualityControlScoreItem> scoreItems});

  ///修改图像质控
  Future<bool> modifyRemedicalQuality(
      {required String recordCode,
      required String remedicalCode,
      required String option,
      required List<QualityControlScoreItem> scoreItems});
}
